package de.howaner.Poketherus.gui;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.ui.CheckBox;
import com.badlogic.gdx.scenes.scene2d.utils.TextureRegionDrawable;
import de.howaner.Poketherus.resources.TextureManager;

public class CheckButton extends CheckBox {
	private static CheckBoxStyle style;

	static {
		BitmapFont font = new BitmapFont(Gdx.files.internal("gui/mainmenu/font/font.fnt"), false);
		font.setScale(0.9f);

		style = new CheckBoxStyle();
		style.checkboxOff = new TextureRegionDrawable(new TextureRegion(TextureManager.CHECK_BUTTON_OFF));
		style.checkboxOn = new TextureRegionDrawable(new TextureRegion(TextureManager.CHECK_BUTTON_ON));
		style.font = font;
		style.fontColor = Color.BLACK;
	}

	public CheckButton(String text) {
		super(text, style);
	}
	

}
