package de.howaner.Poketherus.map.renderer;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import de.howaner.Poketherus.map.MapTileset;

public class StaticTilesetTile extends TilesetTile {
	private final TextureRegion region;

	public StaticTilesetTile(MapTileset tileset, Texture texture, short tileId) {
		super(tileset, tileId);
		this.region = new TextureRegion(texture, 0, 0, 16, 16);
	}

	@Override
	public TextureRegion getTextureRegion(int tileX, int tileY) {
		return this.region;
	}

}
