package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public abstract class InPacket {

	public abstract int getPacketID();

	public abstract void readPacketData(PacketBuffer buffer) throws Exception;

	public abstract void handlePacket(ClientHandle handler);

	/** If true, the network manager will process the packet immediately when received, otherwise it will queue it for processing. */
	public boolean hasPriority() {
		return false;
	}

}
