package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInAuthenticationRequest extends InPacket {
	private String ipAddress;

	public String getIPAddress() {
		return this.ipAddress;
	}

	@Override
	public int getPacketID() {
		return 2;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.ipAddress = buffer.readString(50);
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketAuthenticationRequest(this);
	}

}
