package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInDisconnect extends InPacket {
	private String message;

	public String getMessage() {
		return this.message;
	}

	@Override
	public int getPacketID() {
		return 0;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.message = buffer.readString(32767);
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketDisconnect(this);
	}

	@Override
	public boolean hasPriority() {
		return true;
	}

}
