package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.entity.EntityState;
import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInEntityState extends InPacket {
	private int entityID;
	private EntityState state;

	public int getEntityID() {
		return this.entityID;
	}

	public EntityState getState() {
		return this.state;
	}

	@Override
	public int getPacketID() {
		return 12;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
		this.state = EntityState.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketEntityState(this);
	}

}
