package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInFadeScreen extends InPacket {
	private FadeType fadeType;
	private float duration;

	public FadeType getFadeType() {
		return this.fadeType;
	}

	public float getDuration() {
		return this.duration;
	}

	@Override
	public int getPacketID() {
		return 8;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.fadeType = FadeType.values()[buffer.readByte()];
		this.duration = buffer.readFloat();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketFadeScreen(this);
	}

	public enum FadeType {
		FADE_OUT, FADE_IN;
	}

}
