package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInKeepAlive extends InPacket {
	private long time;

	public long getTime() {
		return this.time;
	}

	@Override
	public int getPacketID() {
		return 0;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.time = buffer.readLong();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketKeepAlive(this);
	}

	@Override
	public boolean hasPriority() {
		return true;
	}

}
