package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInUpdateEntityID extends InPacket {
	private int newEntityID;

	public int getNewEntityID() {
		return this.newEntityID;
	}

	@Override
	public int getPacketID() {
		return 11;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.newEntityID = buffer.readVarInt();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketUpdateEntityID(this);
	}

}
