package de.howaner.Poketherus.multiplayer.packets.out;

import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketOutAuthenticationResponse extends OutPacket {
	private String passwordHash;

	public PacketOutAuthenticationResponse(String passwordHash) {
		this.passwordHash = passwordHash;
	}

	public String getPasswordHash() {
		return this.passwordHash;
	}

	@Override
	public int getPacketID() {
		return 3;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeString(this.passwordHash);
	}

}
