package de.howaner.Poketherus.multiplayer.packets.out;

import de.howaner.Poketherus.entity.EntityState;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketOutChangeState extends OutPacket {
	private EntityState newState;

	public PacketOutChangeState(EntityState newState) {
		this.newState = newState;
	}

	@Override
	public int getPacketID() {
		return 6;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeByte(this.newState.ordinal());
	}

}
