package de.howaner.Poketherus.multiplayer.packets.out;

import de.howaner.Poketherus.multiplayer.PacketBuffer;
import javax.crypto.SecretKey;

public class PacketOutEncryptionKey extends OutPacket {
	private byte[] data;

	public PacketOutEncryptionKey(byte[] encryptedSecretKey) {
		this.data = encryptedSecretKey;
	}

	@Override
	public int getPacketID() {
		return 2;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeShort(this.data.length);
		buffer.writeBytes(this.data);
	}

}
