package de.howaner.Poketherus.multiplayer.packets.out;

import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketOutLoginStart extends OutPacket {
	private byte protocolVersion;
	private String userName;

	public PacketOutLoginStart(byte protocolVersion, String userName) {
		this.protocolVersion = protocolVersion;
		this.userName = userName;
	}

	public byte getProtocolVersion() {
		return this.protocolVersion;
	}

	public String getUserName() {
		return this.userName;
	}

	@Override
	public int getPacketID() {
		return 1;
	}

	@Override
	public void writePacketData(PacketBuffer buffer) throws Exception {
		buffer.writeByte(this.protocolVersion);
		buffer.writeString(this.userName);
	}

}
