package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagByte extends TagBase {
	private byte data;

	public TagByte() {
		this((byte)0);
	}

	public TagByte(byte data) {
		this.data = data;
	}

	public byte getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readByte();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeByte(this.data);
	}

}
