package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagDouble extends TagBase {
	private double data;

	public TagDouble() {
		this(0D);
	}

	public TagDouble(double data) {
		this.data = data;
	}

	public double getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readDouble();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeDouble(this.data);
	}

}
