package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagFloat extends TagBase {
	private float data;

	public TagFloat() {
		this(0f);
	}

	public TagFloat(float data) {
		this.data = data;
	}

	public float getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readFloat();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeFloat(this.data);
	}

}
