package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagShort extends TagBase {
	private short data;

	public TagShort() {
		this((short) 0);
	}

	public TagShort(short data) {
		this.data = data;
	}

	public short getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readShort();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeShort(this.data);
	}

}
