package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagString extends TagBase {
	private String data;

	public TagString() {
		this("");
	}

	public TagString(String data) {
		this.data = data;
	}

	public String getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readUTF();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeUTF(this.data);
	}

}
