package de.howaner.Poketherus.screens.util;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.BitmapFont.TextBounds;
import com.badlogic.gdx.graphics.g2d.Sprite;

public class MainMenuButton extends Sprite {
	private static int latestID = 0;
	private String text;
	private BitmapFont font;
	public int id = 0;

	public MainMenuButton(String text, BitmapFont font, Texture texture) {
		super(texture);
		this.id = latestID++;
		this.text = text;
		this.font = font;
	}

	@Override
	public void draw(Batch batch) {
		super.draw(batch);
		TextBounds bounds = this.font.getBounds(this.text);
		this.font.draw(batch, this.text, this.getX() + (this.getWidth() - bounds.width) / 2, this.getY() + this.getHeight() / 2 + bounds.height / 2);
	}

}
