package de.howaner.Poketherus.input;

import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.InputProcessor;
import de.howaner.Poketherus.screens.SplashScreen;

public class SplashInput implements InputProcessor {
	private SplashScreen screen;

	public SplashInput(SplashScreen screen) {
		this.screen = screen;
	}

	@Override
	public boolean keyDown(int key) {
		if (key == Keys.ENTER || key == Keys.ESCAPE) {
			this.screen.skipSplashScreen();
			return true;
		}
		return false;
	}

	@Override
	public boolean keyUp(int keycode) {
		return false;
	}

	@Override
	public boolean keyTyped(char character) {
		return false;
	}

	@Override
	public boolean touchDown(int screenX, int screenY, int pointer, int button) {
		this.screen.skipSplashScreen();
		return true;
	}

	@Override
	public boolean touchUp(int screenX, int screenY, int pointer, int button) {
		return false;
	}

	@Override
	public boolean touchDragged(int screenX, int screenY, int pointer) {
		return false;
	}

	@Override
	public boolean mouseMoved(int screenX, int screenY) {
		return false;
	}

	@Override
	public boolean scrolled(int amount) {
		return false;
	}

}
