package de.howaner.Poketherus.map.renderer;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import de.howaner.Poketherus.map.MapTileset;

public abstract class TilesetTile {
	private final MapTileset tileset;
	private final short tileId;

	public TilesetTile(MapTileset tileset, short tileId) {
		this.tileset = tileset;
		this.tileId = tileId;
	}

	public MapTileset getTileset() {
		return this.tileset;
	}

	public short getTileID() {
		return this.tileId;
	}

	public abstract TextureRegion getTextureRegion(int tileX, int tileY);

}
