package de.howaner.Poketherus.multiplayer.netty;

import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.multiplayer.packets.out.OutPacket;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;

public class MessageSerializer extends MessageToByteEncoder {

	@Override
	protected void encode(ChannelHandlerContext ctx, Object msg, ByteBuf out) throws Exception {
		if (!(msg instanceof OutPacket)) {
			return;
		}
		OutPacket in = (OutPacket) msg;

		PacketBuffer buffer = new PacketBuffer(out);
		buffer.writeVarInt(in.getPacketID());
		in.writePacketData(buffer);
	}

}
