package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;

public class PacketInEntityRemove extends InPacket {
	private int entityID;

	public int getEntityID() {
		return this.entityID;
	}

	@Override
	public int getPacketID() {
		return 5;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketEntityRemove(this);
	}

}
