package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.entity.EntityFace;
import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.util.Location;

public class PacketInEntityTeleport extends InPacket {
	private int entityID;
	private Location destinition;
	private EntityFace face;

	public int getEntityID() {
		return this.entityID;
	}

	public Location getDestinition() {
		return this.destinition;
	}

	public EntityFace getFace() {
		return this.face;
	}

	@Override
	public int getPacketID() {
		return 6;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
		this.destinition = buffer.readLocation();
		this.face = EntityFace.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketEntityTeleport(this);
	}

}
