package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.entity.EntityFace;
import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.util.Location;

public class PacketInEntityWalk extends InPacket {
	private int entityID;
	private Location currentLocation;
	private EntityFace face;

	public int getEntityID() {
		return this.entityID;
	}

	public Location getCurrentLocation() {
		return this.currentLocation;
	}

	public EntityFace getFace() {
		return this.face;
	}

	@Override
	public int getPacketID() {
		return 7;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
		this.currentLocation = buffer.readLocation();
		this.face = EntityFace.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketEntityWalk(this);
	}

}
