package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.util.Location;

public class PacketInLoginSuccess extends InPacket {
	private int entityID;
	private Location location;

	public int getEntityID() {
		return this.entityID;
	}

	public Location getLocation() {
		return this.location;
	}

	@Override
	public int getPacketID() {
		return 3;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
		this.location = buffer.readLocation();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketLoginSuccess(this);
	}

}
