package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.entity.EntityFace;
import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.util.Location;

public class PacketInPlayerSpawn extends InPacket {
	private int entityID;
	private String userName;
	private Location location;
	private EntityFace face;

	public int getEntityID() {
		return this.entityID;
	}

	public String getUserName() {
		return this.userName;
	}

	public Location getLocation() {
		return this.location;
	}

	public EntityFace getFace() {
		return this.face;
	}

	@Override
	public int getPacketID() {
		return 4;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.entityID = buffer.readVarInt();
		this.userName = buffer.readString(16);
		this.location = buffer.readLocation();
		this.face = EntityFace.values()[buffer.readByte()];
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketPlayerSpawn(this);
	}

}
