package de.howaner.Poketherus.multiplayer.packets.in;

import de.howaner.Poketherus.multiplayer.ClientHandle;
import de.howaner.Poketherus.multiplayer.PacketBuffer;
import de.howaner.Poketherus.util.Location;

public class PacketInSwitchWorld extends InPacket {
	private Location destinition;

	public Location getDestinition() {
		return this.destinition;
	}

	@Override
	public int getPacketID() {
		return 10;
	}

	@Override
	public void readPacketData(PacketBuffer buffer) throws Exception {
		this.destinition = buffer.readLocation();
	}

	@Override
	public void handlePacket(ClientHandle handler) {
		handler.handlePacketSwitchWorld(this);
	}

}
