package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagInt extends TagBase {
	private int data;

	public TagInt() {
		this(0);
	}

	public TagInt(int data) {
		this.data = data;
	}
	
	public int getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readInt();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeInt(this.data);
	}

}
