package de.howaner.Poketherus.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TagLong extends TagBase {
	private long data;

	public TagLong() {
		this(0);
	}

	public TagLong(long data) {
		this.data = data;
	}

	public long getData() {
		return this.data;
	}

	@Override
	public void read(DataInput input) throws IOException {
		this.data = input.readLong();
	}

	@Override
	public void write(DataOutput output) throws IOException {
		output.writeLong(this.data);
	}

}
